package Source::Repository::Mass::ALTLinuxDest;

use strict;
use warnings;

use Source::Repository::Mass;
use Source::Shared::Resource::Verbose;
use Source::Shared::Resource::DestDistroInfo;
use Source::Shared::FindMirror::ALTLinux;
use Source::Repository::RPM::ALTLinuxSrcList;

our $VERSION=0.007;
our $verbose=0;

$DistroMap::default_destrepo='altlinux';
$Source::Repository::Mass::dest_reponame='Destination repository (ALT Linux)';
$Source::Repository::Mass::dest_class='Source::Repository::RPM::ALTLinuxSrcList';

# append_path: something like: fcimport/Sisyphus mgaimport/Sisyphus ...
sub set_destpath_alt_sisyphus {
    my (@append_path)=@_;
    my @destpath=&Source::Shared::FindMirror::ALTLinux::get_repo(
	-branch => 'sisyphus',
	-prepend_hasher => 1,
	-prepend_path => \@append_path,
	-append_repository_chain => 1,
	-verbose => ($verbose || $Source::Shared::verbose),
	);

    $Source::Repository::Mass::DESTPATH=join(':', @destpath) if @destpath;
    print STDERR 'ALTLinuxDest: destpath=',$Source::Repository::Mass::DESTPATH,"\n" if $verbose;
}

1;
