package Source::Repository::Mass::ALTLinuxImport;

use strict;
use warnings;
use Carp;

use Source::Repository::Mass;
use Source::Repository::Mass::Settings::OriginImport;
use Source::Repository::Mass::Transform::Embedded;
use RPM::Source::Convert::ALTLinuxImport;
use Source::Repository::Mass::ALTLinuxDest;
# useful in command line
use Source::Repository::Mass::SkipName::Listed;

our @ISA = qw/Source::Repository::Mass::Transform::Embedded/;
sub cli_container_ref { return ['Source::Repository::Mass::Transform::Embedded'] }

our $verbose=0;

$Source::Repository::Mass::strategy='newer';

my @__append_destpath;

# called after 'use THIS'.
sub import {
    my $class=shift;
    push @__append_destpath, @_;
}

sub process_options {
    print STDERR 'ALTLinuxImport: destpath_before_Sisyphus: ',join(',',@__append_destpath),"\n" if $verbose>1;
    &Source::Repository::Mass::ALTLinuxDest::set_destpath_alt_sisyphus(@__append_destpath);
}

1;
