package Source::Repository::Mass::JPPImport;

use strict;
use warnings;

use Source::Repository::Mass::ALTLinuxImport qw!fcimport/Sisyphus!;
use Source::Repository::Mass::Settings::FedoraOrigin;
use RPM::Source::Convert::Plugins::JPackage2ALT;

$Source::Repository::Mass::strategy='notolder';
$Source::Repository::Mass::release_comparator=\&jppimport_release_comparator;

my $verbose=0;
use RPM::Vercmp;
sub jppimport_release_comparator {
    my ($origin,$dest) =@_;
    return 1 unless $dest;
    return -1 unless $origin;
    my $originrelease=$origin->release;
    my $destrelease=$dest->release;
    # qa does not count
    $destrelease=~s/\.qa\d+$//;
    # (?=(?:\.|$)) due to smth like Release: 7%{?dist}.1
    $originrelease=~s/\.fc\d+(\.R)?(?=(?:\.|$))//;
    $originrelease=~s/\.(?:fc|jpp)\d+$//;
    if ($destrelease=~/^alt([^_]+)_(.+)jpp[\d.]+$/) {
	my $altjppsubrel=$2;
	my $cmp=RPM::Vercmp::evrcmp($originrelease, $altjppsubrel);
	print STDERR "jppmass: $originrelease cmp $altjppsubrel = $cmp\n" if $verbose;
	return $cmp;
    }
    return 1;
}

1;
